[project]
name = "feather"
version = "1.1.0"
authors = [ { name = 'Étienne "Reuh" Fildadut' } ]
description = "file-based RSS reader client"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "google-reader>=0.0.3",
    "jinja2>=3.1.6",
    "ttrss-python>=0.5",
    "tzdata>=2025.2",
    "watchfiles>=1.1.0",
]
license = "ISC"
license-files = [ "LICENSE" ]

[build-system]
requires = ["uv_build >= 0.9.0"]
build-backend = "uv_build"

[project.scripts]
feather = "feather.cli:main"
